"""
Convert Easting Northing to lon/lat for ultimately get kml file
"""

def alter_file(filename,filenameout):

    from anuga.coordinate_transforms.lat_long_UTM_conversion import UTMtoLL
    
    fid = open(filename)
    lines = fid.readlines()
    fid.close()
    
    fid_out = open(filenameout, 'w')
    s = '%s,%s,%s\n' %('lon','lat','stage')
    fid_out.write(s)
    for line in lines[1:]:
       fields = line.split(',')
       easting = float(fields[0])
       northing = float(fields[1])
       stage = float(fields[3])
       lat, lon = UTMtoLL(northing,easting, 50)
       s = '%f,%f,%f\n' %(lon,lat,stage)
       fid_out.write(s)

    fid_out.close() 

    return

import project
from os import sep

#timedir = '20070618_035101_run_final_1.4_dampier_nbartzis' # HAT 1 in Dampier 10000 yr
#timedir = '20070619_042043_run_final_1.4_onslow_nbartzis' # HAT 1 in Onslow 10000 yr
timedir = '20070619_042542_run_final_1.4_exmouth_nbartzis' # HAT 1 in Exmouth 10000 yr

filename = project.output_dir + timedir + sep + 'stage0_interp.csv'
#filename = project.output_dir + timedir + sep + 'stage5_interp.csv'
#filename = project.output_dir+ timedir + sep + 'stage20_interp.csv'
#filename = project.output_dir+ timedir + sep + 'stage50_interp.csv'
#filename = project.output_dir+  timedir + sep + 'stage80_interp.csv'
filename_out = project.output_dir + timedir + sep + 'stage0_convert.csv'
#filename_out = project.output_dir + timedir + sep + 'stage5_convert.csv'
#filename_out = project.output_dir + timedir + sep + 'stage20_convert.csv'
#filename_out = project.output_dir + timedir + sep + 'stage50_convert.csv'
#filename_out = project.output_dir + timedir + sep + 'stage80_convert.csv'
alter_file(filename,filename_out)
